package cls.domain;

import okay.database.ResultOfSqlQuery;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class BallMoveEffectTable extends Table {

    /**
     * Constructor
     *
     * Not meant to be instantiated.
     */
    private BallMoveEffectTable() {
        //Not meant to be instantiated.
    }

    /**
     *
     * @param description
     * @return
     */
    public static int saveBallMoveEffect(String description) {
        StringBuilder insertCommandStringBuilder = new StringBuilder("INSERT INTO ball_move_effect VALUES (null,'");
        insertCommandStringBuilder.append(description).append("')");
        return databaseConnection.execute(insertCommandStringBuilder.toString());
    }

    /**
     *
     * @param description
     * @return id of the row with the given name
     */
    public static int getId(String description) {
        ResultOfSqlQuery resultOfSqlQuery = databaseConnection.executeAndReturn("SELECT id FROM ball_move_effect WHERE name='" + description + "'");
        resultOfSqlQuery.moveToTheNextRow();
        return resultOfSqlQuery.getInt("id");
    }

    /**
     *
     * @param id
     * @return
     */
    public static String getName(int id) {
        ResultOfSqlQuery resultOfSqlQuery = databaseConnection.executeAndReturn("SELECT name FROM ball_move_effect WHERE id=" + id);
        resultOfSqlQuery.moveToTheNextRow();
        return resultOfSqlQuery.getString("name");
    }
}
