package cls.domain;

import cls.data.Data;
import cls.domain.domaininitializing.DomainInitializing;
import okay.database.DatabaseConnection;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class Domain {

    private Data data;

    /**
     *
     * @param data
     */
    public Domain(Data data) {
        this.data = data;
        Table.setDatabaseConnection(getDatabaseConnection());

        if (data.isLaunchedForFirstTime()) {
            DomainInitializing.install(data.getDatabaseConnection());

        }
    }

    private DatabaseConnection getDatabaseConnection() {
        return data.getDatabaseConnection();
    }
}
