/*
 * Here comes the text of your license
 */
package cls.domain;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class HoleTable extends Table {

    /**
     * Constructor
     *
     * Not meant to be instantiated.
     */
    private HoleTable() {
        //Not meant to be instantiated.
    }

    /**
     *
     * @param shapeID
     * @param row
     * @param column
     * @return
     */
    public static int saveHole(int shapeID, int row, int column) {
        StringBuilder insertCommandStringBuilder = new StringBuilder("INSERT INTO hole VALUES (null,");
        insertCommandStringBuilder.append(shapeID).append(",");
        insertCommandStringBuilder.append(row).append(",");
        insertCommandStringBuilder.append(column).append(")");
        return databaseConnection.execute(insertCommandStringBuilder.toString());
    }

}
