package cls.domain;

import okay.database.ResultOfSqlQuery;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class LanguageTable extends Table {

    /**
     * Constructor
     *
     * Not meant to be instantiated.
     */
    private LanguageTable() {
        //Not meant to be instantiated.
    }

    /**
     *
     * @return
     */
    public static ResultOfSqlQuery getLanguages() {
        return databaseConnection.executeAndReturn("SELECT id,language_name_original FROM LANGUAGE;");
    }

    /**
     *
     * @param languageName
     * @return
     */
    public static int getIdFromLanguageName(String languageName) {
        ResultOfSqlQuery resultOfSqlQuery = databaseConnection.executeAndReturn("SELECT id FROM LANGUAGE WHERE language_name_original='" + languageName + "'");
        resultOfSqlQuery.moveToTheNextRow();
        return Integer.parseInt(resultOfSqlQuery.getString("id"));
    }

    /**
     *
     * @param languageID
     * @return
     */
    public static String getLanguageNameFromLanguageId(int languageID) {
        ResultOfSqlQuery resultOfSqlQuery = databaseConnection.executeAndReturn("SELECT language_name_original FROM LANGUAGE WHERE ID=" + languageID);
        resultOfSqlQuery.moveToTheNextRow();
        return resultOfSqlQuery.getString("language_name_original");
    }
}
