package cls.logic;

import cls.domain.ApplicationTable;
import okay.simplicity.EnumColour;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class ApplicationLookForBeforeLogin implements ApplicationLook {

    @Override
    public int getLanguageId() {
        return ApplicationTable.getBeforeLoginLanguageId();
    }

    @Override
    public void setLanguageId(int id) {
        ApplicationTable.setBeforeLoginLanguageId(id);
    }

    @Override
    public EnumColour getColourSkin() {
        return EnumColour.convertNumberToEnumColour(ApplicationTable.getBeforeLoginColourSkin());
    }

    @Override
    public void setColourSkin(EnumColour colourSkin) {
        ApplicationTable.setBeforeLoginColourSkin(colourSkin.getNumber());
    }

    @Override
    public int getZoom() {
        return ApplicationTable.getBeforeLoginZoom();
    }

    @Override
    public void setZoom(int zoom) {
        ApplicationTable.setBeforeLoginZoom(zoom);
    }

}
