package cls.logic;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class ChangeNotifier {

    private final NotifyableAboutChanges changesGoal;

    /**
     *
     * @param changesGoal
     */
    public ChangeNotifier(NotifyableAboutChanges changesGoal) {
        this.changesGoal = changesGoal;
    }

    /**
     *
     * @param change
     */
    public synchronized void addChange(String change) {
        changesGoal.notifyAboutChange(change);
    }
}
