package cls.services;

import cls.logic.ApplicationLook;
import cls.logic.Logic;
import okay.simplicity.EnumColour;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class BeforeLoginService {

    private final Logic logic;
    private final ApplicationLook applicationLookForBeforeLogin;

    public BeforeLoginService(Logic logic) {
        this.logic = logic;
        this.applicationLookForBeforeLogin = logic.getApplication().getApplicationLook();
    }

    public int getLanguageId() {
        return applicationLookForBeforeLogin.getLanguageId();
    }

    public void setLanguageId(int id) {
        applicationLookForBeforeLogin.setLanguageId(id);
    }

    public EnumColour getColourSkin() {
        return applicationLookForBeforeLogin.getColourSkin();
    }

    public void setColourSkin(EnumColour colourSkin) {
        applicationLookForBeforeLogin.setColourSkin(colourSkin);
    }

    public int getZoom() {
        return applicationLookForBeforeLogin.getZoom();
    }

    public void setZoom(int zoom) {
        applicationLookForBeforeLogin.setZoom(zoom);
    }

}
