package cls.view.windows;

import okay.simplicity.window.controls.SComboBox;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class ColourComboBox extends SComboBox {

    /**
     *
     */
    public ColourComboBox() {
        for (int colourNumber = 51; colourNumber <= 66; colourNumber++) {
            getItems().add(cls.ColorLinesSequel.getServices().getLanguageService().getTextConstant(colourNumber));
        }
    }

    /**
     *
     * @return
     */
    public int getColourNumber() {
        return this.getSelectionModel().getSelectedIndex() + 1;
    }

    /**
     *
     */
    public void setDefault() {
        setValue(cls.ColorLinesSequel.getServices().getLanguageService().getTextConstant(60));
    }

    /**
     *
     * @param colourNumber
     */
    public void setColourNumber(int colourNumber) {
        this.setValue(cls.ColorLinesSequel.getServices().getLanguageService().getTextConstant(50 + colourNumber));
    }
}
