package cls.domain;

import okay.json.JsonObject;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class SessionTable extends Table {

    /**
     * Constructor
     *
     * Not meant to be instantiated.
     */
    private SessionTable() {
        //Not meant to be instantiated.
    }

    /**
     *
     * @param startUniversalDateTimeId
     * @return id of new session
     */
    public static int saveSession(int startUniversalDateTimeId) {
        return databaseConnection.execute("INSERT INTO session(start_universal_date_time_id) values(" + startUniversalDateTimeId + ")");
    }

    /**
     *
     * @param sessionId
     * @return
     */
    public static JsonObject loadSession(int sessionId) {
        return databaseConnection.getRow("session", sessionId);
    }

    /**
     *
     * @param sessionId
     * @param universalDateTimeId
     */
    public static void setEndUniversalDateTimeId(int sessionId, int universalDateTimeId) {
        databaseConnection.updateValue("session", sessionId, "end_universal_date_time_id", Integer.toString(universalDateTimeId));
    }
}
