package cls.domain;

import static cls.domain.Table.databaseConnection;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class TextConstantTable extends Table {

    /**
     * Constructor
     *
     * Not meant to be instantiated.
     */
    private TextConstantTable() {
        //Not meant to be instantiated.
    }

    /**
     *
     * @param textConstantTypeId
     * @param languageId
     * @return text constant
     */
    public static String getTextConstant(int textConstantTypeId, int languageId) {
        String string = databaseConnection.getString("TEXT_CONSTANT", "VALUE", "language_id =" + languageId + " AND text_constant_type_id =" + textConstantTypeId);

        return string == null ? "Not found" : string;
    }
}
