package cls.domain;

import okay.database.ResultOfSqlQuery;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class TimeZoneTable extends Table {

    /**
     * Constructor
     *
     * Not meant to be instantiated.
     */
    private TimeZoneTable() {
        //Not meant to be instantiated.
    }

    /**
     *
     * @param name
     * @return
     */
    public static int saveTimeZone(String name) {
        StringBuilder insertCommandStringBuilder = new StringBuilder("INSERT INTO time_zone VALUES (null,'");
        insertCommandStringBuilder.append(name).append("')");
        return databaseConnection.execute(insertCommandStringBuilder.toString());
    }

    /**
     *
     * @param name
     * @return id of the row with the given name
     */
    public static int getId(String name) {
        ResultOfSqlQuery resultOfSqlQuery = databaseConnection.executeAndReturn("SELECT id FROM time_zone WHERE name='" + name + "'");
        if (resultOfSqlQuery.isEmpty()) {
            TimeZoneTable.saveTimeZone(name);
            resultOfSqlQuery = databaseConnection.executeAndReturn("SELECT id FROM time_zone WHERE name='" + name + "'");
        }
        resultOfSqlQuery.moveToTheNextRow();
        return resultOfSqlQuery.getInt("id");
    }

    /**
     *
     * @param id
     * @return name of the row with the given id
     */
    public static String getName(int id) {
        ResultOfSqlQuery resultOfSqlQuery = databaseConnection.executeAndReturn("SELECT name FROM time_zone WHERE id = " + id);
        resultOfSqlQuery.moveToTheNextRow();
        return resultOfSqlQuery.getString("name");
    }
}
