package cls.logic;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public enum CreateNewPlayerResult {

    /**
     * success
     */
    PLAYER_CREATED,
    /**
     * nick must be unique
     */
    NICK_ALREADY_EXISTS,
    /**
     * nick is too long
     */
    TOO_LONG_NICK,
    /**
     * nick is empty
     */
    NICK_IS_EMPTY,
    /**
     * password and confirm password do not match
     */
    PASSWORD_AND_CONFIRM_PASSWORD_DO_NOT_MATCH,
    /**
     * too long password
     */
    TOO_LONG_PASSWORD,
    /**
     * nick or password contains forbidden characters
     */
    NICK_OR_PASSWORD_CONTAINS_FORBIDDEN_CHARACTERS,
    /**
     * Zoom is lower than 50 (%)
     */
    TOO_LOW_ZOOM;

}
