package cls.logic.game.board;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public interface Rollable {

    /**
     * Checks if a rollable is ball
     *
     * @return
     */
    public boolean isBall();

    /**
     * Checks if a rollable is bomb
     *
     * @return
     */
    public boolean isBomb();
}
