package cls.services;

import cls.logic.Logic;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class ApplicationService {

    private final Logic logic;

    public ApplicationService(Logic logic) {
        this.logic = logic;
    }

    /**
     *
     */
    public void start() {
        logic.getApplication().start();
    }

    /**
     *
     */
    public void exit() {
        logic.getApplication().exit();
    }

    public boolean isRunning() {
        return logic.getApplication().isRunning();
    }
}
