package cls.services;

import cls.logic.GameManager;
import cls.logic.Logic;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class GameService {

    private final Logic logic;
    private final GameManager gameManager;

    public GameService(Logic logic) {
        this.logic = logic;
        this.gameManager = logic.getGameManager();
    }

    public void activateField(int row, int column) {
        gameManager.activateField(row, column);
    }

    public void playNewGame() {
        this.gameManager.playNewGame();
    }

    /**
     *
     */
    public void saveGame() {
        throw new cls.ColorLinesSequelRuntimeException("Not yet implemented");
    }

    /**
     *
     */
    public void loadGame() {
        throw new cls.ColorLinesSequelRuntimeException("Not yet implemented");
    }
}
