package cls.services;

import cls.logic.ApplicationLook;
import cls.logic.Logic;
import okay.simplicity.EnumColour;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class PlayerSLookService {

    private final Logic logic;

    public PlayerSLookService(Logic logic) {
        this.logic = logic;
    }

    private ApplicationLook getApplicationLook() {
        return logic.getPlayer().getApplicationLook();
    }

    public int getLanguageId() {
        return getApplicationLook().getLanguageId();
    }

    public void setLanguageId(int id) {
        getApplicationLook().setLanguageId(id);
    }

    public EnumColour getColourSkin() {
        return getApplicationLook().getColourSkin();
    }

    public void setColourSkin(EnumColour colourSkin) {
        getApplicationLook().setColourSkin(colourSkin);
    }

    public double getZoom() {
        return getApplicationLook().getZoom();
    }

    public void setZoom(int zoom) {
        getApplicationLook().setZoom(zoom);
    }
}
