package cls.view.windows;

import cls.ColorLinesSequel;
import javafx.event.ActionEvent;
import okay.simplicity.window.SLayout;
import javafx.geometry.Pos;
import javafx.geometry.Rectangle2D;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.scene.text.Text;
import javafx.stage.Screen;

/**
 *
 * @author Robert Vokáč robertvokac1@gmail.comt Vokáč robertvokac1@gmail.com
 */
public class AboutThisGameWindow extends ColorLinesSequelAbstractWindow {

    private Text text;

    /**
     *
     * @param windowColourSkin
     */
    public AboutThisGameWindow() {

    }

    /**
     *
     */
    @Override
    public void initAreaForUserInteraction() {
        this.setWindowTitle(cls.ColorLinesSequel.getServices().getLanguageService().getTextConstant(1211));
        this.text = new Text(cls.ColorLinesSequel.getServices().getLanguageService().getTextConstant(100001) + "\nColor Lines Sequel " + ColorLinesSequel.getColorLinesSequelVersion());
        this.text.setFont(Font.font("Arial", FontWeight.NORMAL, 16));
        SLayout sLayout = new SLayout();
        sLayout.getChildren().add(text);
        sLayout.setAlignment(Pos.TOP_LEFT);
        this.applicationArea.getChildren().add(sLayout);
        this.showOnlyTheCloseButton();

        Rectangle2D bounds = Screen.getPrimary().getVisualBounds();
        setWidth((bounds.getWidth()) / 4);
        setHeight((bounds.getWidth()) / 4 / 4 * 3);
    }

    private void handleCloseButtonAction(ActionEvent event) {
        // Button was clicked, do something...

        this.close();
    }

}
