
/*
 *License Header
 
 * 
 */
package cls.view.windows;

import javafx.geometry.Rectangle2D;
import okay.simplicity.EnumColour;
import okay.simplicity.Simplicity;
import okay.simplicity.boxes.MessageBox;
import okay.simplicity.window.WindowColourSkin;
import okay.simplicity.window.controls.SLabel;

/**
 *
 * @author Robert Vokáč robertvokac1@gmail.comt Vokáč robertvokac1@gmail.com
 */
public class TestingColours {

    /**
     *
     * @author Robert Vokáč robertvokac1@gmail.comt Vokáč robertvokac1@gmail.com
     */
    private class TestingColourWindow extends ColorLinesSequelAbstractWindow {

        SLabel label;

        /**
         *
         */
        public TestingColourWindow() {
        }

        /**
         *
         */
        @Override
        public void initAreaForUserInteraction() {
            this.setWindowTitle("Color Lines Sequel");
            label = new SLabel("Text");
            this.applicationArea.getChildren().add(label);
        }

    }

    /**
     *
     */
    public TestingColours() {
        WindowColourSkin defaultWindowColourSkin = Simplicity.getDefaultWindowColourSkin();

        TestingColourWindow testingColourWindow[] = new TestingColourWindow[17];
        int row, column;
        row = 1;
        column = 1;
        Rectangle2D bounds = javafx.stage.Screen.getPrimary().getVisualBounds();
        int screenWidth = (int) bounds.getWidth();
        int screenHeight = (int) bounds.getHeight();
        int windowWidth = (int) ((double) screenWidth * 0.20);
        int windowHeight = (int) ((double) screenHeight * 0.20);
        int spaceWidth = windowWidth;
        int spaceHeight = windowHeight;
        int i = 0;
        for (row = 1; row <= 4; row++) {
            for (column = 1; column <= 4; column++) {
                i++;
                Simplicity.setDefaultWindowColourSkin(new WindowColourSkin(EnumColour.convertNumberToEnumColour(i)));
                testingColourWindow[i] = new TestingColourWindow();
                testingColourWindow[i].setWidth(windowWidth);
                testingColourWindow[i].setHeight(windowHeight);
                testingColourWindow[i].setX((spaceWidth * 0.2 * column) + (windowWidth * (column - 1)));
                testingColourWindow[i].setY((spaceHeight * 0.2 * row) + (windowHeight * (row - 1)));

                testingColourWindow[i].show();
            }
        }
        Simplicity.setDefaultWindowColourSkin(defaultWindowColourSkin);
        MessageBox.showBox("Color Lines Sequel", "          ");
        for (int j = 1; j <= 16; j++) {
            testingColourWindow[j].close();
        }
    }

}
