package cls.view.windows.gamingwindow;

import cls.logic.Logic;
import cls.ColorLinesSequel;
import javafx.event.Event;
import javafx.scene.control.Label;
import okay.simplicity.window.CellLayout;
import okay.simplicity.window.controls.Button;
import okay.simplicity.window.controls.TextField;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class TempCommandWindow extends cls.view.windows.ColorLinesSequelAbstractWindow {

    private Logic logic;

    private TextField commandTextField;
    private Button executeButton;
    private CellLayout cellLayout;
    private Label l;

    /**
     *
     */
    @Override
    protected void initAreaForUserInteraction() {
        this.setWindowTitle("Execute command");
        logic = ColorLinesSequel.getLogic();
        cellLayout = new CellLayout(1, 3, "100%");
        commandTextField = new TextField();
        executeButton = new Button("Execute command");
        cellLayout.addNodes(1, commandTextField);
        cellLayout.addNodes(2, executeButton);
        executeButton.setOnAction(this::handleExecuteButtonAction);
        this.applicationArea.getChildren().addAll(cellLayout);
        l = new Label(String.valueOf(okay.pseudorandom.PseudoRandomGenerator.getInstance().getInt(0, 999999)));
        cellLayout.addNodes(3, l);
    }

    private void handleExecuteButtonAction(Event e) {
        String string = this.commandTextField.getText();
        String[] splitCommand = string.split(";+");
        for (String element : splitCommand) {
            this.logic.addChange(element);
        }

    }
}
